> For the complete documentation index, see [llms.txt](https://docs.cloudeka.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloudeka.ai/deka-llm/api-deka-llm/model-management.md).

# Model Management

Model Management is an endpoint used to display available models, so you can customize them as needed. The following are the endpoints in Model Management that can be used on the Deka LLM page.

```
https://dekallm.cloudeka.ai/models
```

This endpoint uses the GET method to request data on the Deka LLM server and is used to get a list of models. The following is the request that was sent.&#x20;

{% tabs %}
{% tab title="Terminal" %}
{% code lineNumbers="true" %}

```json
curl -X 'GET' \
  'https://dekallm.cloudeka.ai/v1/models' \
  -H 'accept: application/json' \
  -H 'x-api-key: BEARER API_KEY'
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code lineNumbers="true" %}

```python
import requests

url = "https://dekallm.cloudeka.ai/v1/models"
headers = {
    "accept": "application/json",
    "x-api-key": "BEARER API_KEY"
}

response = requests.get(url, headers=headers)

print(response.status_code)
print(response.json())  # Menampilkan hasil dalam format JSON

```

{% endcode %}
{% endtab %}
{% endtabs %}

The results of the responses received are as follows.

{% code title="Response Request" lineNumbers="true" %}

```json
{
  "data": [
    {
      "id": "baai/bge-multilingual-gemma2",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "qwen25-coder-1.5b",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "tts",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "qwen/qwen25-coder-32b-instruct",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "gotocompany/gemma2-9b-cpt-sahabatai-v1-instruct",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "gotocompany/llama3-8b-cpt-sahabatai-v1-instruct",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "meta/llama-3.1-70b-instruct",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "qwen/qwen2-vl-72b-instruct",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "qwen/qwen25-72b-instruct-nim",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "deepseek-ai/DeepSeek-R1-70B",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "nvidia/llama-3.1-nemotron-70b-instruct-hf",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "meta/llama-3.3-70b-instruct",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "qwen/qwen25-72b-instruct",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "meta/llama-32-90b-instruct",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "llama-32-90b-instruct-nim",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "deepseek-ai/DeepSeek-R1",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    }
  ],
  "object": "list"
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cloudeka.ai/deka-llm/api-deka-llm/model-management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
